const READ_LINE = require('readline');
const BIT_BANG = require('./../lib/I2C/bitBang/bitBang');
READ_LINE.emitKeypressEvents(process.stdin);

BIT_BANG.init();
BIT_BANG.enable();

console.log("****** MENU: ******");
console.log("h - HI \nl - LOW \nq - exit \n");

process.stdin.on('keypress', (str, key) => {
    if (key.name === 'h') {
        console.log('HI');
        BIT_BANG.sdaHigh();
    } else if (key.name === 'l') {
        console.log("LOW");
        BIT_BANG.sdaLow();
    } else if (key.name === 'q') {
        BIT_BANG.close();
        process.exit();
    }
});


