const CourierNew_14x19 = require('./../lib/constants/fonts/CourierNew_14x19');
const OLED = require('./../lib/I2C/SSD1306/SSD1306');
let timer;

(function main() {
    OLED.init();
    startTime();
})();

function startTime() {
    let today = new Date();
    let h = today.getHours();
    let m = today.getMinutes();
    let s = today.getSeconds();
    m = (m < 10) ? "0" + m : m;
    s = (s < 10) ? "0" + s : s;
    let buffer = h + ":" + m + ":" + s;
    timer = setTimeout(startTime, 500);
    OLED.drawText(10, 25, CourierNew_14x19, buffer);
    OLED.update();
}