const CourierNew_7x10 = require('./../lib/constants/fonts/CourierNew_7x10');
const OLED = require('./../lib/I2C/SSD1306/SSD1306');
const READ_LINE = require('readline');
READ_LINE.emitKeypressEvents(process.stdin);
let buffer = [];

OLED.init();
OLED.clear();

console.log("****** Press any key: ******");

process.stdin.on('keypress', (str, key) => {

    if (key.name === "enter") {
        if (buffer.length !== 0) {
            OLED.clear();
            OLED.drawText(0, 0, CourierNew_7x10, buffer, 1);
            OLED.update();
            buffer = [];
        }
        return
    }

    buffer.push(str);
});


